# Groq Whisper configure

##
 YouTube/Bilibili video Groq Whisper API Groq 

## Agent Done

1. Configured
```bash
agent-search doctor | grep -i "groq\|whisper"
```

2. user keyconfigure
```python
from agent_search.config import Config
c = Config()
c.set(groq_api_key, userKEY)
```

3. 
```bash
curl -s https://api.groq.com/openai/v1/models \
 -H Authorization: Bearer userKEY \
  -o /dev/null -w "%{http_code}"
```
 200 = Available

## user

user

> video Groq API Key
>
> 
> 1. https://console.groq.com
> 2. Google 
> 3. API Keys
> 4. Create API Key
> 5. Key
>
> Groq 

## Agent key

1. configure`config.set(groq_api_key, key)`
2. API Available
3. ✅ video
